# SoTabBoxManip Class Reference
[Manipulators]

`#include <Inventor/manips/SoTabBoxManip.h>`

Inheritance diagram for SoTabBoxManip:

List of all members.

## Detailed Description

The SoTabBoxManip class wraps an SoTabBoxDragger.

The SoTabBoxManip provides a convenient mechanism for the application programmer for setting up an SoTabBoxDragger in the scene connected to the relevant fields of an SoTransform node.

The interaction from the end-user with the manipulator will then automatically influence the transformation matrix for the geometry following it in the scenegraph.

## Public Member Functions

| SoTabBoxManip (void)

## Static Public Member Functions

void | initClass (void)

## Protected Member Functions

| ~SoTabBoxManip ()

## Constructor & Destructor Documentation

SoTabBoxManip::SoTabBoxManip | ( | void |  | ) |

| Constructor sets us up with an SoTabBoxDragger for manipulating a transformation.

SoTabBoxManip::~SoTabBoxManip | ( |  | ) | `[protected]`

| Protected destructor. (SoHandleBoxManip is automatically destructed when it's reference count goes to 0.)

## Member Function Documentation

void SoTabBoxManip::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoTransformManip.

The documentation for this class was generated from the following files:

- SoTabBoxManip.h
- SoTabBoxManip.cpp